<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>GameGUI</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GameGUI";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/Color.html" title="enum in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/GameGUI.html" target="_top">Frames</a></li>
<li><a href="GameGUI.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">quarto</div>
<h2 title="Class GameGUI" class="title">Class GameGUI</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>quarto.GameGUI</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">GameGUI</span>
extends java.lang.Object</pre>
<div class="block">The class instantiates the board for the game.
 It handles any new events performed in the game.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>09/28/2016</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Gloire Rubambiza</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto">GameGUI.ButtonListener</a></span></code>
<div class="block">Listens for actions on the GUI to call the appropriate methods.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#bdButtons">bdButtons</a></span></code>
<div class="block">Instantiates all the board buttons.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JFrame</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#beginnerFrame">beginnerFrame</a></span></code>
<div class="block">Frame to contain the beginning panel.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#beginnerPanel">beginnerPanel</a></span></code>
<div class="block">The panel to call before beginning the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#BOARD_SIZE">BOARD_SIZE</a></span></code>
<div class="block">Sets the board size.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#boardPanel">boardPanel</a></span></code>
<div class="block">Panel to contain all the buttons and game pieces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto">GameGUI.ButtonListener</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#btn">btn</a></span></code>
<div class="block">Button listener for the buttons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#BUTTON_SIZE">BUTTON_SIZE</a></span></code>
<div class="block">Instantiates a button size.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#cancel">cancel</a></span></code>
<div class="block">The buttons to be clicked when setting up a new game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static javax.swing.border.Border</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#CREATE_EMPTY_BORDER">CREATE_EMPTY_BORDER</a></span></code>
<div class="block">Creates a border constant.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#currentPlayerLabel">currentPlayerLabel</a></span></code>
<div class="block">Displays the name of the player whose turn it is.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#exit">exit</a></span></code>
<div class="block">Menu items to handle settings of a game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JFrame</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#frame">frame</a></span></code>
<div class="block">Frame to contain all menu items and board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#FRAME_HEIGHT">FRAME_HEIGHT</a></span></code>
<div class="block">Beginning frame size height.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#FRAME_WIDTH">FRAME_WIDTH</a></span></code>
<div class="block">Beginning frame size width.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#GRID_HEIGHT">GRID_HEIGHT</a></span></code>
<div class="block">Grid layout height for beginning frame.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#headerPanel">headerPanel</a></span></code>
<div class="block">Panel that contains the 'QUARTO' label and the next piece to display.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.awt.Color</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#LAKER_BLUE">LAKER_BLUE</a></span></code>
<div class="block">The blue color used for most of the backgrounds in the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#majorPanel">majorPanel</a></span></code>
<div class="block">Panel to contain all the other panels with the correct layouts.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#menuPanel">menuPanel</a></span></code>
<div class="block">Panel to contain the Menu and its menu items.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#newGame">newGame</a></span></code>
<div class="block">Menu items to handle settings of a game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#nextPiece">nextPiece</a></span></code>
<div class="block">Next piece to be used for play by the opponent.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#nextPieceLabel">nextPieceLabel</a></span></code>
<div class="block">Next piece to be used for play by the opponent.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.awt.Font</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#NORMAL_FONT">NORMAL_FONT</a></span></code>
<div class="block">The font for most text in the GUI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#ok">ok</a></span></code>
<div class="block">The buttons to be clicked when setting up a new game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#pieceHeight">pieceHeight</a></span></code>
<div class="block">Stores other info for the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#pieces">pieces</a></span></code>
<div class="block">Instantiates all different pieces of the game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#piecesPanel">piecesPanel</a></span></code>
<div class="block">Panel to contain the buttons for the pieces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#pieceWidth">pieceWidth</a></span></code>
<div class="block">Stores other info for the board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerOneName">playerOneName</a></span></code>
<div class="block">Labels for players actions and score status and undo actions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerOneNameLabel">playerOneNameLabel</a></span></code>
<div class="block">Displays the name of player 1.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerOneScore">playerOneScore</a></span></code>
<div class="block">Labels for players actions and score status and undo actions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerOneScoreLabel">playerOneScoreLabel</a></span></code>
<div class="block">Displays the score of player 1.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerOneStartLabel">playerOneStartLabel</a></span></code>
<div class="block">Holds the label for beginning panel.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerOneText">playerOneText</a></span></code>
<div class="block">Holds the textfields for player inputs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerPanel">playerPanel</a></span></code>
<div class="block">Panel that holds information about the players and their scores.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerTwoName">playerTwoName</a></span></code>
<div class="block">Labels for players actions and score status and undo actions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerTwoNameLabel">playerTwoNameLabel</a></span></code>
<div class="block">Displays the name of player 2.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerTwoScore">playerTwoScore</a></span></code>
<div class="block">Labels for players actions and score status and undo actions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerTwoScoreLabel">playerTwoScoreLabel</a></span></code>
<div class="block">Displays the score of player 2.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerTwoStartLabel">playerTwoStartLabel</a></span></code>
<div class="block">Holds the label for beginning panel.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JTextField</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#playerTwoText">playerTwoText</a></span></code>
<div class="block">Holds the textfields for player inputs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../quarto/QuartoLogic.html" title="class in quarto">QuartoLogic</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#quarto">quarto</a></span></code>
<div class="block">Quarto object to be used to call the methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static javax.swing.JLabel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#QUARTO">QUARTO</a></span></code>
<div class="block">The Label with the QUARTO name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#redo">redo</a></span></code>
<div class="block">Buttons for undo and redo actions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.Icon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#selectedIcon">selectedIcon</a></span></code>
<div class="block">Holds the Icon of the selected piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#southPanel">southPanel</a></span></code>
<div class="block">Panel to contain the menu panel, pieces and undo buttons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#startFields">startFields</a></span></code>
<div class="block">Array to hold beginning labels for the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#TEXTFIELD_SIZE">TEXTFIELD_SIZE</a></span></code>
<div class="block">Text field size.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#undo">undo</a></span></code>
<div class="block">Buttons for undo and redo actions.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JPanel</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#undoPanel">undoPanel</a></span></code>
<div class="block">Panel to contain undo redo buttons.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#WIDTH">WIDTH</a></span></code>
<div class="block">Gets the screen size.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#GameGUI--">GameGUI</a></span>()</code>
<div class="block">Constructor for the GUI and all its items.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private javax.swing.ImageIcon</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#loadImage-java.lang.String-">loadImage</a></span>(java.lang.String&nbsp;fileName)</code>
<div class="block">Loads an image icon from a .png file located in ..\\..\\res\\.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Main method to start a new GUI for the game.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#moveIfAi--">moveIfAi</a></span>()</code>
<div class="block">Makes an appropriate AI move if current player is AI.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private javax.swing.JButton</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#setButton-int-">setButton</a></span>(int&nbsp;index)</code>
<div class="block">Creates a JButton with the appropriate ImageIcon and size.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#setMajorPanel--">setMajorPanel</a></span>()</code>
<div class="block">Sets the major panel to hold every other panel on the board.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#setNewGame--">setNewGame</a></span>()</code>
<div class="block">Restarts a whole new game when called.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#setNewRound--">setNewRound</a></span>()</code>
<div class="block">Resets the game between two current players.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/GameGUI.html#setPlayerPanel--">setPlayerPanel</a></span>()</code>
<div class="block">Sets the player panel fonts and labels.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WIDTH</h4>
<pre>private static final&nbsp;double WIDTH</pre>
<div class="block">Gets the screen size.</div>
</li>
</ul>
<a name="CREATE_EMPTY_BORDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CREATE_EMPTY_BORDER</h4>
<pre>private static final&nbsp;javax.swing.border.Border CREATE_EMPTY_BORDER</pre>
<div class="block">Creates a border constant.</div>
</li>
</ul>
<a name="BOARD_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOARD_SIZE</h4>
<pre>private static final&nbsp;int BOARD_SIZE</pre>
<div class="block">Sets the board size.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#quarto.GameGUI.BOARD_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="pieceWidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pieceWidth</h4>
<pre>private final&nbsp;int pieceWidth</pre>
<div class="block">Stores other info for the board.</div>
</li>
</ul>
<a name="pieceHeight">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pieceHeight</h4>
<pre>private final&nbsp;int pieceHeight</pre>
<div class="block">Stores other info for the board.</div>
</li>
</ul>
<a name="bdButtons">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bdButtons</h4>
<pre>private&nbsp;javax.swing.JButton[][] bdButtons</pre>
<div class="block">Instantiates all the board buttons.</div>
</li>
</ul>
<a name="pieces">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pieces</h4>
<pre>private&nbsp;javax.swing.JButton[][] pieces</pre>
<div class="block">Instantiates all different pieces of the game.</div>
</li>
</ul>
<a name="newGame">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newGame</h4>
<pre>private&nbsp;javax.swing.JButton newGame</pre>
<div class="block">Menu items to handle settings of a game.</div>
</li>
</ul>
<a name="exit">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exit</h4>
<pre>private&nbsp;javax.swing.JButton exit</pre>
<div class="block">Menu items to handle settings of a game.</div>
</li>
</ul>
<a name="menuPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>menuPanel</h4>
<pre>private&nbsp;javax.swing.JPanel menuPanel</pre>
<div class="block">Panel to contain the Menu and its menu items.</div>
</li>
</ul>
<a name="boardPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boardPanel</h4>
<pre>private&nbsp;javax.swing.JPanel boardPanel</pre>
<div class="block">Panel to contain all the buttons and game pieces.</div>
</li>
</ul>
<a name="southPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>southPanel</h4>
<pre>private&nbsp;javax.swing.JPanel southPanel</pre>
<div class="block">Panel to contain the menu panel, pieces and undo buttons.</div>
</li>
</ul>
<a name="undoPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undoPanel</h4>
<pre>private&nbsp;javax.swing.JPanel undoPanel</pre>
<div class="block">Panel to contain undo redo buttons.</div>
</li>
</ul>
<a name="headerPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>headerPanel</h4>
<pre>private&nbsp;javax.swing.JPanel headerPanel</pre>
<div class="block">Panel that contains the 'QUARTO' label and the next piece to display.</div>
</li>
</ul>
<a name="playerOneName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerOneName</h4>
<pre>private&nbsp;javax.swing.JLabel playerOneName</pre>
<div class="block">Labels for players actions and score status and undo actions.</div>
</li>
</ul>
<a name="playerTwoName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerTwoName</h4>
<pre>private&nbsp;javax.swing.JLabel playerTwoName</pre>
<div class="block">Labels for players actions and score status and undo actions.</div>
</li>
</ul>
<a name="playerOneScore">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerOneScore</h4>
<pre>private&nbsp;javax.swing.JLabel playerOneScore</pre>
<div class="block">Labels for players actions and score status and undo actions.</div>
</li>
</ul>
<a name="playerTwoScore">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerTwoScore</h4>
<pre>private&nbsp;javax.swing.JLabel playerTwoScore</pre>
<div class="block">Labels for players actions and score status and undo actions.</div>
</li>
</ul>
<a name="undo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>undo</h4>
<pre>private&nbsp;javax.swing.JButton undo</pre>
<div class="block">Buttons for undo and redo actions.</div>
</li>
</ul>
<a name="redo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redo</h4>
<pre>private&nbsp;javax.swing.JButton redo</pre>
<div class="block">Buttons for undo and redo actions.</div>
</li>
</ul>
<a name="piecesPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>piecesPanel</h4>
<pre>private&nbsp;javax.swing.JPanel piecesPanel</pre>
<div class="block">Panel to contain the buttons for the pieces.</div>
</li>
</ul>
<a name="majorPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>majorPanel</h4>
<pre>private&nbsp;javax.swing.JPanel majorPanel</pre>
<div class="block">Panel to contain all the other panels with the correct layouts.</div>
</li>
</ul>
<a name="frame">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>frame</h4>
<pre>private&nbsp;javax.swing.JFrame frame</pre>
<div class="block">Frame to contain all menu items and board.</div>
</li>
</ul>
<a name="beginnerFrame">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beginnerFrame</h4>
<pre>private&nbsp;javax.swing.JFrame beginnerFrame</pre>
<div class="block">Frame to contain the beginning panel.</div>
</li>
</ul>
<a name="quarto">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quarto</h4>
<pre>private&nbsp;<a href="../quarto/QuartoLogic.html" title="class in quarto">QuartoLogic</a> quarto</pre>
<div class="block">Quarto object to be used to call the methods.</div>
</li>
</ul>
<a name="nextPiece">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextPiece</h4>
<pre>private&nbsp;javax.swing.JLabel nextPiece</pre>
<div class="block">Next piece to be used for play by the opponent.</div>
</li>
</ul>
<a name="nextPieceLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextPieceLabel</h4>
<pre>private&nbsp;javax.swing.JLabel nextPieceLabel</pre>
<div class="block">Next piece to be used for play by the opponent.</div>
</li>
</ul>
<a name="QUARTO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUARTO</h4>
<pre>private static final&nbsp;javax.swing.JLabel QUARTO</pre>
<div class="block">The Label with the QUARTO name.</div>
</li>
</ul>
<a name="btn">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>btn</h4>
<pre>private final&nbsp;<a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto">GameGUI.ButtonListener</a> btn</pre>
<div class="block">Button listener for the buttons.</div>
</li>
</ul>
<a name="selectedIcon">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectedIcon</h4>
<pre>private&nbsp;javax.swing.Icon selectedIcon</pre>
<div class="block">Holds the Icon of the selected piece.</div>
</li>
</ul>
<a name="playerOneText">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerOneText</h4>
<pre>private&nbsp;javax.swing.JTextField playerOneText</pre>
<div class="block">Holds the textfields for player inputs.</div>
</li>
</ul>
<a name="playerTwoText">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerTwoText</h4>
<pre>private&nbsp;javax.swing.JTextField playerTwoText</pre>
<div class="block">Holds the textfields for player inputs.</div>
</li>
</ul>
<a name="playerOneStartLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerOneStartLabel</h4>
<pre>private&nbsp;javax.swing.JLabel playerOneStartLabel</pre>
<div class="block">Holds the label for beginning panel.</div>
</li>
</ul>
<a name="playerTwoStartLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerTwoStartLabel</h4>
<pre>private&nbsp;javax.swing.JLabel playerTwoStartLabel</pre>
<div class="block">Holds the label for beginning panel.</div>
</li>
</ul>
<a name="beginnerPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beginnerPanel</h4>
<pre>private&nbsp;javax.swing.JPanel beginnerPanel</pre>
<div class="block">The panel to call before beginning the game.</div>
</li>
</ul>
<a name="ok">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ok</h4>
<pre>private&nbsp;javax.swing.JButton ok</pre>
<div class="block">The buttons to be clicked when setting up a new game.</div>
</li>
</ul>
<a name="cancel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>private&nbsp;javax.swing.JButton cancel</pre>
<div class="block">The buttons to be clicked when setting up a new game.</div>
</li>
</ul>
<a name="startFields">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startFields</h4>
<pre>private static&nbsp;java.lang.String[] startFields</pre>
<div class="block">Array to hold beginning labels for the game.</div>
</li>
</ul>
<a name="playerPanel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerPanel</h4>
<pre>private&nbsp;javax.swing.JPanel playerPanel</pre>
<div class="block">Panel that holds information about the players and their scores.</div>
</li>
</ul>
<a name="playerOneNameLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerOneNameLabel</h4>
<pre>private&nbsp;javax.swing.JLabel playerOneNameLabel</pre>
<div class="block">Displays the name of player 1.</div>
</li>
</ul>
<a name="playerOneScoreLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerOneScoreLabel</h4>
<pre>private&nbsp;javax.swing.JLabel playerOneScoreLabel</pre>
<div class="block">Displays the score of player 1.</div>
</li>
</ul>
<a name="playerTwoNameLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerTwoNameLabel</h4>
<pre>private&nbsp;javax.swing.JLabel playerTwoNameLabel</pre>
<div class="block">Displays the name of player 2.</div>
</li>
</ul>
<a name="playerTwoScoreLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerTwoScoreLabel</h4>
<pre>private&nbsp;javax.swing.JLabel playerTwoScoreLabel</pre>
<div class="block">Displays the score of player 2.</div>
</li>
</ul>
<a name="currentPlayerLabel">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentPlayerLabel</h4>
<pre>private&nbsp;javax.swing.JLabel currentPlayerLabel</pre>
<div class="block">Displays the name of the player whose turn it is.</div>
</li>
</ul>
<a name="LAKER_BLUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LAKER_BLUE</h4>
<pre>private static final&nbsp;java.awt.Color LAKER_BLUE</pre>
<div class="block">The blue color used for most of the backgrounds in the game.</div>
</li>
</ul>
<a name="NORMAL_FONT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NORMAL_FONT</h4>
<pre>private static final&nbsp;java.awt.Font NORMAL_FONT</pre>
<div class="block">The font for most text in the GUI.</div>
</li>
</ul>
<a name="BUTTON_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUTTON_SIZE</h4>
<pre>private static final&nbsp;int BUTTON_SIZE</pre>
<div class="block">Instantiates a button size.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#quarto.GameGUI.BUTTON_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TEXTFIELD_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXTFIELD_SIZE</h4>
<pre>private static final&nbsp;int TEXTFIELD_SIZE</pre>
<div class="block">Text field size.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#quarto.GameGUI.TEXTFIELD_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FRAME_WIDTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRAME_WIDTH</h4>
<pre>private static final&nbsp;int FRAME_WIDTH</pre>
<div class="block">Beginning frame size width.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#quarto.GameGUI.FRAME_WIDTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FRAME_HEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRAME_HEIGHT</h4>
<pre>private static final&nbsp;int FRAME_HEIGHT</pre>
<div class="block">Beginning frame size height.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#quarto.GameGUI.FRAME_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GRID_HEIGHT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GRID_HEIGHT</h4>
<pre>private static final&nbsp;int GRID_HEIGHT</pre>
<div class="block">Grid layout height for beginning frame.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#quarto.GameGUI.GRID_HEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GameGUI--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GameGUI</h4>
<pre>public&nbsp;GameGUI()</pre>
<div class="block">Constructor for the GUI and all its items.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setMajorPanel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMajorPanel</h4>
<pre>private&nbsp;void&nbsp;setMajorPanel()</pre>
<div class="block">Sets the major panel to hold every other panel on the board.</div>
</li>
</ul>
<a name="setPlayerPanel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerPanel</h4>
<pre>private&nbsp;void&nbsp;setPlayerPanel()</pre>
<div class="block">Sets the player panel fonts and labels.</div>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block">Main method to start a new GUI for the game.
        Can be changed as complexity of game grows</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - the arguments to be run in the main</dd>
</dl>
</li>
</ul>
<a name="setButton-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setButton</h4>
<pre>private&nbsp;javax.swing.JButton&nbsp;setButton(int&nbsp;index)</pre>
<div class="block">Creates a JButton with the appropriate ImageIcon and size.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - is the index of the Piece corresponding to this button
 in Quarto's availablePieces</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a JButton object</dd>
</dl>
</li>
</ul>
<a name="setNewRound--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNewRound</h4>
<pre>private&nbsp;void&nbsp;setNewRound()</pre>
<div class="block">Resets the game between two current players.
 Repaints the board and some of the labels</div>
</li>
</ul>
<a name="setNewGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNewGame</h4>
<pre>public final&nbsp;boolean&nbsp;setNewGame()</pre>
<div class="block">Restarts a whole new game when called.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a boolean to specify if the game is ready to  be started</dd>
</dl>
</li>
</ul>
<a name="loadImage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadImage</h4>
<pre>private&nbsp;javax.swing.ImageIcon&nbsp;loadImage(java.lang.String&nbsp;fileName)</pre>
<div class="block">Loads an image icon from a .png file located in ..\\..\\res\\.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - is the name of the icon file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an ImageIcon of object containing the icon specified</dd>
</dl>
</li>
</ul>
<a name="moveIfAi--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>moveIfAi</h4>
<pre>public final&nbsp;void&nbsp;moveIfAi()</pre>
<div class="block">Makes an appropriate AI move if current player is AI. 
 Advances to next turn after the move, makes an appropriate move if 
 the next player is AI, too.
 Updates the board as the AI plays.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/Color.html" title="enum in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/GameGUI.ButtonListener.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/GameGUI.html" target="_top">Frames</a></li>
<li><a href="GameGUI.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
